<?php
if (! function_exists('makeOrdinal')) {

    /**
     * The path being passed is generated by Laravel Mix manifest file
     * The webpack plugin takes the css filenames and appends rtl before the .css extension
     * So we take the original and place that in and send back the path.
     *
     * @param $path
     *
     * @return string
     */
    // hanya sampai 99

    

    function makeOrdinal($num){
        $special = [
            1=>'pertama',
            
        ];

        $number = [
            0=>'nol',
            1=>'satu',
            2=>'dua',
            3=>'tiga',
            4=>'empat',
            5=>'lima',
            6=>'enam',
            7=>'tujuh',
            8=>'delapan',
            9=>'sembilan',
            10=>'sepuluh',
            11=>'sebelas'
        ];

        if(isInt($num)){
            if(isset($special[$num])){
                return $special[$num];
            } else if(isset($number[$num])){
                return 'ke'.$number[$num];
            } else if($num>11 && $num<20){
                return 'ke'.$number[substr((string)$num,1,1)].' belas';
            } else if($num<99){
                if($num%10 == 0){
                    return 'ke'.$number[substr((string)$num,0,1)].' puluh';
                } else {
                    return 'ke'.$number[substr((string)$num,0,1)].' puluh '.$number[substr((string)$num,1,1)];
                }
            }
        } else {
            return false;
        }
    }


    function isInt($n) {
       return $n % 1 === 0;
    }
}